<!DOCTYPE html>
<html>
<head>
	<title>CRC20</title>
</head>
<body>
	<script type="text/javascript">

		function convert(txt) {
			var cut = (txt.charCodeAt(0))%256;
		   	var oct = cut.toString(2);
		   	var binary = "00000000".substr(oct.length) + oct;
		   	return binary;
		}

		function toBin(txt) {
			var result = [];
			while (txt.length < 8) {
		       txt += String.fromCharCode(0);
			}

			for (i=0; i < 8; i++) {
			    result.push(convert(txt[i]));
			}
			var colone = [];
			var calc = 0;
			for (var k = 0; k < result.length; k++) {
			   	for (var j = 0; j < result.length; j++) {
				   		calc = calc + parseInt(result[j].charAt(k));
				}
				calc = calc % 2;
				colone.push(calc);
			}
			console.log(colone);
			return result;
		}

	</script>
</body>
</html>